Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

Represents levels of access to the metadata for non-public types and members accessed using reflection.

This enumeration is used by .

- Field
  System.Security.Permissions.ReflectionPermissionFlag AllFlags To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.Obsolete
- Field
  System.Security.Permissions.ReflectionPermissionFlag MemberAccess

  Specifies access to members of non-public types using reflection. Access includes the ability to perform operations on the members.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Security.Permissions.ReflectionPermissionFlag NoFlags

  Specifies no access to non-public types or information about non-public types using reflection.

  When this access level is granted via a , only those elements in metadata that can be accessed using early binding are accessible.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Security.Permissions.ReflectionPermissionFlag ReflectionEmit To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.Obsolete
- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Security.Permissions.ReflectionPermissionFlag To be added.
- Field
  System.Security.Permissions.ReflectionPermissionFlag TypeInformation

  Specifies access to information about non-public types using reflection.

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0 System.Obsolete("not used anymore")
0